> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Load messages for a chat, newest-first window returned oldest-first

> Pass `before=<created_at>` of the earliest message currently rendered to
fetch an older page. The caller stitches pages together in the UI.



## OpenAPI

````yaml https://api.stuut.ai/openapi.json get /v2/assistant/chats/{chat_id}/messages
openapi: 3.1.0
info:
  title: Stuut API
  termsOfService: https://stuut.ai/terms-and-conditions
  contact:
    name: Stuut Support
    url: https://stuut.ai/
    email: devs@stuut.co
  version: 2.0.0
servers: []
security:
  - HTTPBearer: []
tags:
  - name: adjustments
    description: Operations for managing payment adjustments (fees, discounts, write-offs).
    x-displayName: Adjustments
  - name: aether
    description: Operations for aether.
    x-displayName: Aether
  - name: analytics
    description: Operations for retrieving analytics and dashboard data.
    x-displayName: Analytics
  - name: assistant
    description: Operations for the in-app chat assistant.
    x-displayName: Assistant
  - name: audit-log
    description: Operations for retrieving the organization's audit log.
    x-displayName: Audit Log
  - name: bank-accounts
    description: Operations for retrieving and managing bank accounts.
    x-displayName: Bank Accounts
  - name: bank-statements
    description: Operations for retrieving and managing bank statements.
    x-displayName: Bank Statements
  - name: bank-transactions
    description: Operations for retrieving and managing bank transactions.
    x-displayName: Bank Transactions
  - name: business-units
    description: Operations for listing and managing business units.
    x-displayName: Business Units
  - name: call-agent
    description: >-
      Operations for initiating and managing real-time voice calls with
      partners.
    x-displayName: Call Agent
  - name: calls
    description: Operations for retrieving and managing voice call records.
    x-displayName: Calls
  - name: cash-app
    description: Operations for cash application — matching incoming payments to invoices.
    x-displayName: Cash Application
  - name: chats
    description: Operations for managing chat conversations.
    x-displayName: Chats
  - name: cnam-registration
    description: Operations for managing CNAM (caller ID name) registration.
    x-displayName: CNAM Registration
  - name: credit-memos
    description: Operations for retrieving and searching credit memos.
    x-displayName: Credit Memos
  - name: custom-table-templates
    description: >-
      Operations for managing custom table templates used in email template
      variables.
    x-displayName: Custom Table Templates
  - name: customer-segments
    description: Operations for managing customer segments.
    x-displayName: Customer Segments
  - name: deductions-knowledge
    description: Operations for managing deduction processing knowledge entries.
    x-displayName: Deductions Knowledge
  - name: email-threads
    description: Operations for managing email threads.
    x-displayName: Email Threads
  - name: emails
    description: Operations for retrieving and managing emails.
    x-displayName: Emails
  - name: exports
    description: Operations for requesting and retrieving async data exports.
    x-displayName: Exports
  - name: integrations
    description: >-
      Operations for managing integrations with external systems (e.g. ERP, CRM,
      etc.).
    x-displayName: Integrations
  - name: internal-contacts
    description: >-
      Operations for managing internal contacts (CSMs, account managers, etc.)
      and their assignments to partners.
    x-displayName: Internal Contacts
  - name: invoices
    description: Operations for retrieving and managing invoices.
    x-displayName: Invoices
  - name: kyb
    description: Operations for Know Your Business (KYB) verification.
    x-displayName: KYB
  - name: ledger-accounts
    description: Operations for retrieving and managing ledger accounts.
    x-displayName: Ledger Accounts
  - name: mailbox-settings
    description: >-
      Operations for an organization's mailbox provider configuration: Microsoft
      admin consent, shared-mailbox discovery, and provider health.
    x-displayName: Mailbox Settings
  - name: mailboxes
    description: >-
      Operations for connecting, listing, updating, and archiving user and
      shared mailboxes, including delegated OAuth sign-in.
    x-displayName: Mailboxes
  - name: media
    description: >-
      Operations for signing direct-to-storage media uploads (e.g. signature
      images).
    x-displayName: Media
  - name: organizations
    description: Operations for retrieving and managing the current organization.
    x-displayName: Organizations
  - name: outreach-workflows
    description: Operations for managing automated collections outreach workflows.
    x-displayName: Outreach Workflows
  - name: partners
    description: Operations for retrieving and managing customers.
    x-displayName: Partners
  - name: payments
    description: Operations for approving and managing payments.
    x-displayName: Payments
  - name: report-configs
    description: >-
      Operations for managing report configurations (frequency, recipients,
      schedule).
    x-displayName: Report Configs
  - name: sms-campaign-registration
    description: Operations for managing A2P 10DLC SMS campaign registration.
    x-displayName: SMS Campaign Registration
  - name: sms-templates
    description: >-
      Operations for defining, storing, and managing parameterized SMS message
      templates.
    x-displayName: SMS Templates
  - name: sms-threads
    description: Operations for retrieving and managing SMS conversation threads.
    x-displayName: SMS Threads
  - name: users
    description: Operations for retrieving and managing users.
    x-displayName: Users
  - name: users-ooo
    description: Operations for managing user out-of-office (OOO) status and coverage.
    x-displayName: Users OOO
paths:
  /v2/assistant/chats/{chat_id}/messages:
    get:
      tags:
        - assistant
      summary: Load messages for a chat, newest-first window returned oldest-first
      description: |-
        Pass `before=<created_at>` of the earliest message currently rendered to
        fetch an older page. The caller stitches pages together in the UI.
      operationId: GetAssistantChatsChatIdMessages
      parameters:
        - name: chat_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CortexUIMessage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CortexUIMessage:
      properties:
        id:
          type: string
          title: ''
        role:
          type: string
          enum:
            - user
            - assistant
            - system
          title: ''
          x-speakeasy-enum-format: union
        parts:
          items:
            oneOf:
              - $ref: '#/components/schemas/TextPart'
              - $ref: '#/components/schemas/ReasoningPart'
              - $ref: '#/components/schemas/ToolInvocationPart'
              - $ref: '#/components/schemas/FilePart'
              - $ref: '#/components/schemas/SourceUrlPart'
              - $ref: '#/components/schemas/CortexDataTablePart'
              - $ref: '#/components/schemas/CortexDataChartPart'
              - $ref: '#/components/schemas/CortexDataSuggestionsPart'
            discriminator:
              propertyName: type
              mapping:
                data-chart:
                  $ref: '#/components/schemas/CortexDataChartPart'
                data-suggestions:
                  $ref: '#/components/schemas/CortexDataSuggestionsPart'
                data-table:
                  $ref: '#/components/schemas/CortexDataTablePart'
                file:
                  $ref: '#/components/schemas/FilePart'
                reasoning:
                  $ref: '#/components/schemas/ReasoningPart'
                source-url:
                  $ref: '#/components/schemas/SourceUrlPart'
                text:
                  $ref: '#/components/schemas/TextPart'
                tool-invocation:
                  $ref: '#/components/schemas/ToolInvocationPart'
          type: array
          title: ''
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: ''
        feedback:
          anyOf:
            - type: string
              enum:
                - positive
                - negative
              x-speakeasy-enum-format: union
            - type: 'null'
          title: ''
        feedbackMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
      type: object
      required:
        - id
        - role
        - parts
        - createdAt
        - feedback
        - feedbackMessage
      title: CortexUIMessage
    HTTPValidationError:
      $defs:
        ValidationError:
          properties:
            loc:
              items:
                anyOf:
                  - type: string
                  - type: integer
              title: Location
              type: array
            msg:
              title: Message
              type: string
            type:
              title: Type
              type: string
          required:
            - loc
            - msg
            - type
          title: ValidationError
          type: object
          x-speakeasy-include: true
      properties:
        type:
          const: request-validation
          title: Type
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Human-readable description of this specific problem.
          title: Detail
          x-speakeasy-error-message: true
        status:
          const: 422
          title: Status
          type: integer
        title:
          description: Short human-readable summary of the problem.
          title: Title
          type: string
          x-speakeasy-error-message: true
        errors:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Errors
          type: array
      required:
        - type
        - status
        - title
        - errors
      title: APIError
      type: object
    TextPart:
      properties:
        type:
          type: string
          const: text
          title: ''
        text:
          type: string
          title: ''
      type: object
      required:
        - type
        - text
      title: TextPart
    ReasoningPart:
      properties:
        type:
          type: string
          const: reasoning
          title: ''
        reasoning:
          type: string
          title: ''
      type: object
      required:
        - type
        - reasoning
      title: ReasoningPart
    ToolInvocationPart:
      properties:
        type:
          type: string
          const: tool-invocation
          title: ''
        toolCallId:
          type: string
          title: ''
        toolName:
          type: string
          title: ''
        args:
          additionalProperties: true
          type: object
          title: ''
        state:
          type: string
          title: ''
        result:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: ''
      type: object
      required:
        - type
        - toolCallId
        - toolName
        - args
        - state
        - result
      title: ToolInvocationPart
    FilePart:
      properties:
        type:
          type: string
          const: file
          title: ''
        mediaType:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
      type: object
      required:
        - type
        - mediaType
        - url
      title: FilePart
    SourceUrlPart:
      properties:
        type:
          type: string
          const: source-url
          title: ''
        sourceId:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: ''
      type: object
      required:
        - type
        - sourceId
        - url
        - title
      title: SourceUrlPart
    CortexDataTablePart:
      properties:
        type:
          type: string
          const: data-table
          title: ''
          default: data-table
        data:
          additionalProperties: true
          type: object
          title: ''
      type: object
      required:
        - type
        - data
      title: CortexDataTablePart
    CortexDataChartPart:
      properties:
        type:
          type: string
          const: data-chart
          title: ''
          default: data-chart
        data:
          additionalProperties: true
          type: object
          title: ''
      type: object
      required:
        - type
        - data
      title: CortexDataChartPart
    CortexDataSuggestionsPart:
      properties:
        type:
          type: string
          const: data-suggestions
          title: ''
          default: data-suggestions
        data:
          additionalProperties: true
          type: object
          title: ''
      type: object
      required:
        - type
        - data
      title: CortexDataSuggestionsPart
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Type
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
      x-speakeasy-include: true
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````